#ifndef QLOPPLOTS_H
#define QLOPPLOTS_H

#include <QObject>
#include <QWidget>
#include <qlopservice.h>
#include <SocExplorerPlot.h>
#include <QList>
#include <QHash>
#include <toolbarcontainer.h>

class QLopPlots: public QLopService
{
    Q_OBJECT
private:
    static QLopPlots* _self;
    static SocExplorerPlot* m_LastPlot;
    static QHash<int,SocExplorerPlot*>* m_plots;
    static QDockWidget* m_gui;
    static toolBarContainer* m_DocContainer;
    QLopPlots(bool noGUI=false,QObject *parent = 0);
    ~QLopPlots();
    static int getPlotID();

public:
    static void init(bool noGUI=false,QObject *parent = 0);
    static QLopPlots *self();
    static SocExplorerPlot* getPlot(int plotID=-1);
    static int addPlot();
    static bool removePlot(int plotID);
    // QLopService methodes
    QDockWidget* getGUI();
    const QString& serviceName();
public slots:
    SocExplorerPlot* get_plot(int plotID);
    int add_plot();
    bool remove_plot(int plotID);
public:
};

#endif // QLOPPLOTS_H
